import { Form } from "antd";
import ConfigFormComponents from "../config-form-components/config-form-components.component";

export default function ShopCsiConfigForm({ selectedCsi }) {
  const readOnly = !!selectedCsi;
  const [form] = Form.useForm();
  const handleFinish = () => {
    // NO OP
  };

  return (
    <div>
      {readOnly}
      {selectedCsi && (
        <Form form={form} onFinish={handleFinish}>
          <ConfigFormComponents readOnly={selectedCsi} componentList={selectedCsi.config} />
        </Form>
      )}
    </div>
  );
}
